> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Wallet Address



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/reg_wallet_address
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/reg_wallet_address:
    post:
      tags:
        - BRL Ramp
      summary: Register Wallet Address
      operationId: post_register_wallet
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                network:
                  type: string
                  description: Blockchain network (must be "POLYGON").
                  default: POLYGON
                user_wallet_address:
                  type: string
                  description: >-
                    On-chain address (Polygon) where the customer will
                    receive/send funds.
                user_name:
                  type: string
                  description: Friendly alias for the customer (e.g. “Johnwick”).
              type: object
              required:
                - user_wallet_address
                - user_name
                - network
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                New Example:
                  summary: New Example
                  value: |-
                    {
                      "status": "Success",
                      "message": "User's wallet address registered",
                      "wallet_id": "abc123def456"    // Unique identifier for the new wallet
                    }
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````